#ifndef _AMBIENT_LIGHT_INL_
#define _AMBIENT_LIGHT_INL_

#include "Ambientlight.h"

inline void AmbientLight::SetIntensity(double r, double g, double b)
{
  fIntensity[0] = r;
  fIntensity[1] = g;
  fIntensity[2] = b;
}

inline void AmbientLight::SetIntensity(const RGBColor& v)
{
  fIntensity = v;
}

inline RGBColor AmbientLight::GetIntensity() const
{
  return fIntensity;
}

#endif