#ifndef _CANVAS_H_
#define _CANVAS_H_

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include "Environment.h"

class Canvas : public wxScrolledWindow
{
  protected:

    bool fRedo;
    Environment fEnvironment;
    wxBitmap *fBackBuffer;

  public:

    Canvas(wxWindow* parent, wxWindowID id = -1, const wxPoint& pos = wxDefaultPosition, 
           const wxSize& size = wxDefaultSize, long style = wxHSCROLL | wxVSCROLL, const wxString& name = "scrolledWindow");
    ~Canvas();


    void OnSize(wxSizeEvent &event);
    void OnDraw(wxDC& dc);

  DECLARE_EVENT_TABLE()
};

#endif
