#ifndef _CYLINDRICALTEXTUREMAP_H_
#define _CYLINDIRCALTEXTUREMAP_H_

#include "TextureMap.h"
#include "Point.h"

class CylindricalTextureMap : public TextureMap
{
protected:
  double fRadius;
  double fHeight;

public:

  CylindricalTextureMap(double radius, double height);
  ~CylindricalTextureMap();

  RGBColor Map3DTo2D(const Vector& v);
};

#endif
