#ifndef _MAIN_WINDOW_H_
#define _MAIN_WINDOW_H_

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include "Canvas.h"

class MainWindow : public wxFrame
{
  protected:

    Canvas *fCanvas;

  public:

    MainWindow(char *title, int x, int y, int w, int h);
    ~MainWindow();

    bool Show();
    bool Hide();
    
    //Initialization routines
    void CreateItems();
    void OnSize(wxSizeEvent& event);
    void OnCloseWindow(wxCloseEvent& WXUNUSED(event));

  DECLARE_EVENT_TABLE()
};

#endif