#ifndef _RGBCOLOR_INL_
#define _RGBCOLOR_INL_

#include "RGBColor.h"

inline RGBColor NormalizeColor(const RGBColor& color)
{
  if (color.fX > 1.0 || color.fY > 1.0 || color.fZ > 1.0)
  {
    double max = color.fX;
    if (color.fY > max)
      max = color.fY;
    if (color.fZ > max)
      max = color.fZ;
    if (max != 0.0)
      return color / max;
  }
  return color;
}

#endif