#ifndef _SCAN_FILL_INL_
#define _SCAN_FILL_INL_

#include "ScanFill.h"

inline void ScanFill::SetSurfaceInfo(SurfaceInfo *info)
{
  fCurrentSurfaceInfo = info;
}

inline void ScanFill::SetTextureMap(TextureMap *map)
{
  fCurrentTextureMap = map;
}

inline SurfaceInfo *ScanFill::GetSurfaceInfo() const
{
  return fCurrentSurfaceInfo;
}

inline TextureMap *ScanFill::GetTextureMap() const
{
  return fCurrentTextureMap;
}

#endif