#ifndef _TEXTUREMAP__H_
#define _TEXTUREMAP__H_

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

#include "wx/image.h"
#include "RGBColor.h"
#include "Vector.h"

class TextureMap
{
public:

  wxImage fMap;
  TextureMap();
  virtual ~TextureMap();

  void LoadTexture(char *file);
  virtual RGBColor Map3DTo2D(const Vector& v) = 0;
};

#endif
